<?php
if ( !defined( 'ABSPATH' ) ) { exit; }

// Background Theme Gradient without animation
$css .= '
.wgl_module_team .team__image:before,
.single-team .single_team_page .team__image:before,
.wgl-button.button-gradient:before,
.pricing_highlighter-icon,
.woocommerce span.onsale{';
if ( (bool)$use_gradient_switch ) {
	$css .= '
		background: -webkit-linear-gradient(left, '.$theme_gradient_from.' 30%, '.$theme_gradient_to.' 100%);
	}';
} else {
	$css .= 'background-color:'.$theme_primary_color.';}';
}

// Background Theme Gradient without animation hover
$css .= '
.wgl-button.button-gradient:after{';
if ( (bool)$use_gradient_switch ) {
	$css .= '
		background: -webkit-linear-gradient(left, '.$theme_gradient_to.' 30%, '.$theme_gradient_from.' 100%);
	}';
} else {
	$css .= 'background-color:'.$theme_secondary_color.';}';
}

// Background Theme Gradient From
$css .= '
.wgl_module_team .team-item:nth-child(2n+1) .team__image-circle:nth-child(1):before,
.wgl_module_team .team-item:nth-child(2n+2) .team__image-circle:nth-child(2):before,
.wgl_module_team .team-item:nth-child(8n+8) .team__image-circle:nth-child(1):before,
.single-team .single_team_page .team__image-circle:nth-child(1):before{';
if ( (bool)$use_gradient_switch ) {
	$css .= '
		background-color: '.$theme_gradient_from.';
	}';
} else {
	$css .= 'background-color:'.$theme_primary_color.';}';
}

// Background Theme Gradient To
$css .= '
.wgl_module_team .team-item:nth-child(2n+1) .team__image-circle:nth-child(2):before,
.wgl_module_team .team-item:nth-child(2n+2):not(:nth-child(8n+8)) .team__image-circle:nth-child(1):before,
.single-team .single_team_page .team__image-circle:nth-child(2):before{';
if ( (bool)$use_gradient_switch ) {
	$css .= '
		background-color: '.$theme_gradient_to.';
	}';
} else {
	$css .= 'background-color:'.$theme_primary_color.';}';
}

// Background Secondary Theme Gradient
$css .= '
.row.second-gradient input[type="submit"],
.post_meta-categories span a{';
if ( (bool)$use_gradient_switch ) {
	$css .= '
		background: -webkit-linear-gradient(left, '.$second_gradient_from.' 0%, '.$second_gradient_to.' 50%, '.$second_gradient_from.' 100%);
		background-size: 300%, 1px;
		background-position: 0%;
	}';
} else {
	$css .= 'background-color:'.$theme_secondary_color.';}';
}

// Scroll Up Gradient
if ( (bool)$scroll_up_gradient_switch ) {
	$css .= '
	#scroll_up{
		background: -webkit-linear-gradient(left, '.$scroll_up_gradient_from.' 0%, '.$scroll_up_gradient_to.' 50%, '.$scroll_up_gradient_from.' 100%);
		background-size: 300%, 1px;
		background-position: 0%;
	}';
	$css .='
    #scroll_up:hover{
        background-position: 100% !important;
    }';
}

// Buttons Color
$css .= '
input[type="submit"],
.reuss_banner-widget .banner-widget_button,
.page_404_wrapper .reuss_404__button .wgl-button,
.load_more_wrapper .load_more_item,
.coming-soon_form .wpcf7 .wpcf7-submit,
.wp-block-search__button,
.woocommerce a.button,
.woocommerce a.button:hover,
.woocommerce div.product form.cart .button,
.woocommerce #respond input#submit,
.woocommerce #respond input#submit:disabled,
.woocommerce #respond input#submit:disabled[disabled],
.woocommerce #respond input#submit.disabled,
.woocommerce #respond input#submit:hover,
.woocommerce #respond input#submit:hover:disabled,
.woocommerce #respond input#submit:hover:disabled[disabled],
.woocommerce #respond input#submit.disabled:hover,
.woocommerce-mini-cart__buttons .button:not(.checkout),
.woocommerce-mini-cart__buttons .button:not(.checkout):hover,
.woocommerce-mini-cart__buttons a:not(.checkout),
.woocommerce-mini-cart__buttons a:not(.checkout):hover,
.woocommerce table.shop_table.cart .coupon .button,
.woocommerce-cart .wc-proceed-to-checkout a.checkout-button,
.woocommerce-cart .wc-proceed-to-checkout a.checkout-button:hover,
.woocommerce .cart-collaterals .cart_totals table tr.woocommerce-shipping-totals button.button,
.woocommerce .cart-collaterals .cart_totals table tr.woocommerce-shipping-totals button.button:hover,
.woocommerce form.checkout_coupon .form-row button.button,
.woocommerce #payment #place_order,
.woocommerce #payment #place_order:hover{';
if ( (bool)$use_button_gradient_switch ) {
	$css .= '
		background: -webkit-linear-gradient(left, '.$button_gradient_from.' 0%, '.$button_gradient_to.' 50%, '.$button_gradient_from.' 100%);
		background-size: 300%, 1px;
		background-position: 0%;
	}';
} else {
	$css .= 'background-color:'.$button_color.';}';
}

$css .= '
input[type="submit"]:hover,
.reuss_banner-widget:hover .banner-widget_button,
.page_404_wrapper .reuss_404__button .wgl-button:hover,
.load_more_wrapper .load_more_item:hover,
.coming-soon_form .wpcf7 .wpcf7-submit:hover,
.wp-block-search__button:hover,
.woocommerce a.button:hover,
.woocommerce div.product form.cart .button:hover,
.woocommerce #respond input#submit:hover,
.woocommerce #respond input#submit:hover:disabled,
.woocommerce #respond input#submit:hover:disabled[disabled],
.woocommerce #respond input#submit.disabled:hover,
.woocommerce-mini-cart__buttons .button:not(.checkout):hover,
.woocommerce-mini-cart__buttons a:not(.checkout):hover,
.woocommerce table.shop_table.cart .coupon .button:hover,
.woocommerce-cart .wc-proceed-to-checkout a.checkout-button:hover,
.woocommerce .cart-collaterals .cart_totals table tr.woocommerce-shipping-totals button.button:hover,
.woocommerce form.checkout_coupon .form-row button.button:hover,
.woocommerce #payment #place_order:hover{';
if ( (bool)$use_button_gradient_switch ) {
	$css .= '
		background-position: 100% !important;
	}';
} else {
	$css .= 'background-color:'.$button_hover_color.';}';
}


// Buttons Secondary Color
$css .= '
.woocommerce div.product .woocommerce-tabs ul.tabs li:before,
ul.wgl-products li a.button,
ul.wgl-products li a.button:hover,
.wgl-products .wc-forward,
.woocommerce-mini-cart__buttons .button.checkout,
.woocommerce-mini-cart__buttons .button.checkout:hover,
.woocommerce-mini-cart__buttons a.checkout,
.woocommerce-mini-cart__buttons a.checkout:hover,
.woocommerce table.shop_table.cart button[name=\'update_cart\']{';
if ( (bool)$use_button_gradient_switch ) {
	$css .= '
		background: -webkit-linear-gradient(18deg, '.$button_secondary_gradient_from.' 0%, '.$button_secondary_gradient_to.' 50%, '.$button_secondary_gradient_from.' 100%);
		background-size: 300%, 1px;
		background-position: 0%;
	}';
} else {
	$css .= 'background-color:'.$button_secondary_color.';}';
}

$css .= '
ul.wgl-products li a.button:hover,
.wgl-products .wc-forward:hover,
.woocommerce-mini-cart__buttons .button.checkout:hover,
.woocommerce-mini-cart__buttons a.checkout:hover,
.woocommerce table.shop_table.cart button[name=\'update_cart\']:hover{';
if ( (bool)$use_button_gradient_switch ) {
	$css .= '
		background-position: 100% !important;
	}';
} else {
	$css .= 'background-color:'.$button_secondary_hover_color.';}';
}

