(function( $ ) {
    "use strict";

    jQuery(window).on('elementor/frontend/init', function (){
        if ( window.elementorFrontend.isEditMode() ) {
            window.elementorFrontend.hooks.addAction( 'frontend/element_ready/wgl-blog.default',
                function( $scope ){
                    reuss_parallax_video();
                    reuss_blog_masonry_init();
                    reuss_carousel_slick();
                }
            );

            window.elementorFrontend.hooks.addAction( 'frontend/element_ready/wgl-blog-hero.default',
                function( $scope ){
                    reuss_parallax_video();
                	reuss_blog_masonry_init();
                	reuss_carousel_slick();
                }
            );

            window.elementorFrontend.hooks.addAction( 'frontend/element_ready/wgl-carousel.default',
                function( $scope ){
                    reuss_carousel_slick();
                }
            );

            window.elementorFrontend.hooks.addAction( 'frontend/element_ready/wgl-portfolio.default',
                function( $scope ){
                    reuss_isotope();
                    reuss_carousel_slick();
                    reuss_scroll_animation();
                }
            );

            window.elementorFrontend.hooks.addAction(
                'frontend/element_ready/wgl-gallery.default',
                function($scope) {
                    reuss_images_gallery();
                    reuss_carousel_slick();
                    reuss_scroll_animation();
                }
            );

            window.elementorFrontend.hooks.addAction( 'frontend/element_ready/wgl-progress-bar.default',
                function( $scope ){
                    reuss_progress_bars_init();
                }
            );

            window.elementorFrontend.hooks.addAction( 'frontend/element_ready/wgl-testimonials.default',
                function( $scope ){
                	reuss_carousel_slick();
                }
            );

            window.elementorFrontend.hooks.addAction( 'frontend/element_ready/wgl-toggle-accordion.default',
                function( $scope ){
                    reuss_accordion_init();
                }
            );

            window.elementorFrontend.hooks.addAction( 'frontend/element_ready/wgl-team.default',
                function( $scope ){
                    reuss_isotope();
                    reuss_carousel_slick();
                    reuss_scroll_animation();
                }
            );

            window.elementorFrontend.hooks.addAction( 'frontend/element_ready/wgl-tabs.default',
                function( $scope ){
                    reuss_tabs_init();
                }
            );

            window.elementorFrontend.hooks.addAction( 'frontend/element_ready/wgl-clients.default',
                function( $scope ){
                	reuss_carousel_slick();
                }
            );

            window.elementorFrontend.hooks.addAction( 'frontend/element_ready/wgl-image-layers.default',
                function( $scope ){
                	reuss_img_layers();
                }
            );

            window.elementorFrontend.hooks.addAction( 'frontend/element_ready/wgl-video-popup.default',
                function( $scope ){
                    reuss_videobox_init();
                }
            );

            window.elementorFrontend.hooks.addAction( 'frontend/element_ready/wgl-countdown.default',
                function( $scope ){
                	reuss_countdown_init();
                }
            );

            window.elementorFrontend.hooks.addAction( 'frontend/element_ready/wgl-time-line-vertical.default',
                function( $scope ){
                	reuss_init_timeline_appear();
                }
            );

            window.elementorFrontend.hooks.addAction( 'frontend/element_ready/wgl-time-line-horizontal.default',
                function( $scope ){
                	reuss_init_timeline_horizontal();
                }
            );

            window.elementorFrontend.hooks.addAction( 'frontend/element_ready/wgl-line-circle-chart.default',
                function( $scope ){
                	reuss_pie_chart_init();
                }
            );

            window.elementorFrontend.hooks.addAction( 'frontend/element_ready/wgl-image-comparison.default',
                function( $scope ){
                	reuss_image_comparison();
                }
            );

            window.elementorFrontend.hooks.addAction( 'frontend/element_ready/wgl-counter.default',
                function( $scope ){
                	reuss_counter_init();
                }
            );

            window.elementorFrontend.hooks.addAction( 'frontend/element_ready/wgl-menu.default',
                function( $scope ){
                    reuss_menu_lavalamp();
                }
            );

            window.elementorFrontend.hooks.addAction( 'frontend/element_ready/wgl-header-search.default',
                function( $scope ){
                    reuss_search_init();
                }
            );
            window.elementorFrontend.hooks.addAction( 'frontend/element_ready/wgl-header-side_panel.default',
                function( $scope ){
                    reuss_side_panel_init();
                }
            );

        }
    });

})( jQuery );
